package exercise1;

public class ATM implements ATMInterface {

	private double balance = 5000;
	
	@Override
	public void depositMoney(double amount) {
		if ( amount > 0 )
			balance += amount;
		else
			System.out.println("Error! The input amount is negative");

	}

	@Override
	public void withdrawMoney(double amount) {
		if (amount > 0 && amount <= balance)
			balance -= amount;
		else
			System.out.println("Error! The operation cannot be completed!");

	}
	
	public void printBalance() {
		System.out.println("The current balance is: " + balance);
	}

}







